/*
	main.cpp
    Copyright (C) 2006-2009 by Embedded and Real-Time Systems Laboratory
              Graduate School of Information Science, Nagoya Univ., JAPAN
	
	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
 
*/
#include <stdio.h>
#include <windows.h>
#include "skyeye.h"
#define CTRL_C_HNDL false

extern "C"{
	int skyeye_main(int argc, char **argv);
}
extern void toppers_initialize_com_thread(void);
extern "C" void toppers_quit_com_thread(void);
extern "C" void toppers_create_mutex (unsigned long id);
extern void toppers_close_mutex (void);
extern "C" void toppers_devm_set_id (unsigned long id);
extern "C" void toppers_devm_map_subid(unsigned long subid, unsigned int irq);
extern "C" void toppers_get_local_time (unsigned int * lower, unsigned int * higher);
extern "C" void toppers_read_tsc (unsigned long * lower, unsigned long * higher);

/* add at 2008-03-21 */
extern void toppers_init_sync(void);
extern void toppers_end_sync(void);



/*
 * SkyEyemain֐
 */ 
int main(int argc, char **argv){
  int ret;
  
  toppers_initialize_com_thread();
  
  toppers_init_sync();
  ret = skyeye_main(argc, argv);
  toppers_end_sync();
  toppers_quit_com_thread();

  
  return ret;
}
/* SkyEye DeviceManagerg̃o[W\ */
extern "C"
void _cdecl toppers_devmex_version_print(void){
	fprintf (stderr,
			 "----------------- DeviceManager Extension %d.%d.%d ------------------\n", (DEVMEX_VERSION & 0xf000) >> 12 , (DEVMEX_VERSION & 0x0ff0) >> 4, (DEVMEX_VERSION & 0x000f));
}
