/*
 *  Copyright (C) 2006 by Nagoya University Extension Course for
 *                       Embedded Software Specialists(NEXCESS), JAPAN
 */

/*
 * Z}tHr ^XN VS nh o̓vO
 */
#include <kernel.h>
#include <t_syslog.h>
#include <t_stdlib.h>
#include <sil.h>
#include "syssvc/serial.h"
#include "syssvc/syslog.h"
#include "kernel_cfg.h"
#include "sample1.h"

#define DELAY_LOOP 0x40000L


/*
 * rW[[v֐
 */ 
int
busy_wait_inc(int e){
    e++;
    sil_dly_nse(50000);
  
    return e;
}

/*
 * Lϐ
 */
int count = 0;
/*
 * Lϐ(vZbTP̂݃ANZX)
 */
int pro1_count = 0;

/*
 * o̓^XN
 */ 
void
task(intptr_t exinf){	
    int local_count = 0,i;
    for (i = 0 ; i < 500 ; i++) {
        local_count = busy_wait_inc(local_count);
        loc_cpu();
        count = busy_wait_inc(count);
        syslog(LOG_NOTICE, "Task %d : count = %d, local_count = %d", exinf, count, local_count);
        unl_cpu();
    }
}

/*
 * nh
 */
void
cyc_handler(void){
    if(pro1_count < 500){
        pro1_count = busy_wait_inc(pro1_count);
        iloc_cpu();
        count = busy_wait_inc(count);
        iunl_cpu();
        syslog(LOG_NOTICE, "Cyc : count = %d, pro1_count = %d",  count, pro1_count);
    }
}